package envoy.client.ui;

import java.awt.Component;
import java.text.SimpleDateFormat;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import envoy.schema.Message;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>UserListRenderer.java</strong><br>
 * Created: <strong>19 Oct 2019</strong><br>
 * 
 * @author Kai S. K. Engelbart
 */
public class MessageListRenderer extends JLabel implements ListCellRenderer<Message> {

	private static final long serialVersionUID = 5164417379767181198L;

	@Override
	public Component getListCellRendererComponent(JList<? extends Message> list, Message value, int index,
			boolean isSelected, boolean cellHasFocus) {
		if (isSelected) {
			setBackground(list.getSelectionBackground());
			setForeground(list.getSelectionForeground());
		} else {
			setBackground(list.getBackground());
			setForeground(list.getForeground());
		}

		setOpaque(true);

		setText(String.format(
				"<html><p style=\"color:#d2d235\"><b><small>%s</b></small><br><p style=\"color:white\">%s</html>",
				new SimpleDateFormat("dd.MM.yyyy hh:mm ")
					.format(value.getMetaData().getDate().toGregorianCalendar().getTime()),
				value.getContent().get(0).getText()));

		return this;
	}
}
